import { FieldInputProps } from "formik/dist/types";
import { PropsWithChildren } from "react";
import { InputFieldProps } from "./InputFieldProps";
interface InputFieldInternalProps<T> extends PropsWithChildren<InputFieldProps<T>> {
    valid: boolean;
    invalid: boolean;
    stringName: string;
    field: FieldInputProps<any>;
    initialVal: any;
    setFieldValue: (field: string, value: any, shouldValidate?: boolean) => void;
    parseValueAs: "string" | "number" | "boolean" | ((value: string) => any);
}
declare function InputFieldInternal<T>(props: InputFieldInternalProps<T>): JSX.Element;
export { InputFieldInternal };
